import { ThemeType } from '../shared/types/bolttech-theme-provider.type';
/**
 * This function is responsible to create class auxiliary for text colours and backgrounds
 * and backgrounds using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createColorClasses: (theme: ThemeType) => string;
/**
 * This function is responsible to create class auxiliary for spacings using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createPaddingClasses: (theme: ThemeType, prefix?: string) => string;
/**
 * This function is responsible to create class auxiliary for spacings using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createMarginClasses: (theme: ThemeType, prefix?: string) => string;
export declare const createPositioningClasses: (prefix?: string) => string;
export declare const createUtilitaryClasses: (theme: ThemeType) => string;
export declare const createUtilitaryClassNames: (theme: ThemeType) => Record<'positioning' | 'spacing' | 'color', string[]>;
