import { ReactNode } from 'react';
export type ColumnSizeXsType = '100%' | '75%' | '66.666%' | '50%' | '33.333%' | '25%' | '0%';
export type ColumnSizeSmType = ColumnSizeXsType | '20%' | '16.666%';
export type ColumnSizeMDLGType = ColumnSizeSmType | '8.333%';
export type ColumnSizeType = {
    xs: ColumnSizeXsType;
    sm: ColumnSizeSmType;
    md: ColumnSizeMDLGType;
    lg: ColumnSizeMDLGType;
};
export type ColumnContainerPropsType = {
    className?: string;
    children?: ReactNode | ReactNode[];
    size: ColumnSizeType;
};
